tcxmlcheck(1)

NAME
tcxmlcheck - Check information in smil input file

SYNOPSIS
tcxmlcheck [ options ] [ - ]

COPYRIGHT
tcxmlcheck is Copyright (C) by Malanchini Marzio

DESCRIPTION
tcxmlcheck Check a smil input file. Most of the options are used by transcode at run time.

OPTIONS

-i name
    Specify the name of the input video/audio smil file [stdin].

-p name
    Specify the name of the ausiliary audio smil file [none]

-B  Binary output to stdout (used by transcode) [off] Force to print to stdout the vob structure of the smil file

-S  Write stdin into shared memory (used by transcode)[off]. This is used by transcode at run time to store the vob information that will be modified by calling tcxmlcheck with the -V or -A options.

-V  Check only video smil file [off]. This is used by transcode at run time: it read the smil file to override some information in the vob structure.

-A  Check only ausiliary audio smil file [off]. This is used by transcode at run time: it read the smil file to override some information in the vob structure.

-v  Print the version

EXAMPLES

Command:

tcxmlcheck -i filename.smil

Return 0 if the input file is correct, 1 with an error message in the other cases.

tcxmlcheck -i filename.smil -S -B -V

Analyze the filename.smil and store the vob structure into share memory (used only by transcode at run time).

tcxmlcheck -i filename.smil -B -V

Retrive the content from the share memory related to filename.smil (used only by transcode at run time).

AUTHORS
tcxmlcheck was written by Marzio Malanchini
<marzio_malanchini@vodafone.it>

SEE ALSO
transcode(1)